Page MenuHomePhabricator

UX for taking actions with search results
Closed, ResolvedPublic

Description

One major issue with Dashboards is that creating query panels is super hard: you have to copy/paste a bunch of secret stuff. While most administrators could probably handle the URL part, I think figuring out the engine name is unreasonable even for a beta-quality application.

We can partly address this with JS, by giving users an "Application" dropdown and then a "Named Query" dropdown. This is OK for some uses. However, it would also be nice to create a dashboard panel from an ad-hoc query without having to name it first.

One approach would be to let you "Create Dashboard Panel..." from the search results. There are other reasonable actions we already support or might reasonably want to support from a search result list:

  • Save Query (already exists)
  • Create Dashboard Panel
  • Export to Excel (exists in Maniphest)
  • Batch Edit (exists in Maniphest)
  • Create Project With These Members (from People)
  • Edit Query / Hide Query sort-of? (see also T5133)
  • Replace existing saved query (for updating a saved "My Favorite Stuff")
  • Pretty sure I had another one here but I forget what it was.
  • Possibly some stuff with Facts in the future?

@chad mentioned some ideas for redesigning this entirely, which might be worth considering too.

We don't need to do anything here and can just slap a "Create Dashboard Panel" button on the results list somewhere, but maybe there's a better approach we could take with this UI.

Related Objects

Event Timeline

epriestley updated the task description. (Show Details)
epriestley raised the priority of this task from to Normal.
epriestley edited this Maniphest Task.Jun 10 2014, 5:57 PM
chad moved this task to Chad on the Dashboards board.Jun 11 2014, 5:42 PM
chad lowered the priority of this task from Normal to Wishlist.
chad raised the priority of this task from Wishlist to Normal.
witrin added a subscriber: witrin.Aug 12 2014, 5:06 PM
jshuter moved this task from Chad to Lyuba on the Dashboards board.Jan 16 2015, 3:04 PM
eadler added a subscriber: eadler.Jun 27 2015, 2:46 AM

@chad, do you have any general ideas on what this might look like offhand? It would be good to get a rough first iteration of a direction while I'm tackling ApplicationEditor since all the "generic batch editor" stuff will happen at some point in that process.

I'm a significant amount of work away from getting there, and can just stick a temporary "Actions" button next to "hide/show query" if we don't come up with anything better by then. That doesn't seem terrible to me, it just lacks creativity and panache.

chad added a comment.Nov 3 2015, 6:50 PM

I expected to add additional actions into the header, so it should be easy to do.

chad added a comment.Nov 3 2015, 6:50 PM

Might be a good place to integrate PHURL too.

epriestley moved this task from Backlog to v2 on the ApplicationEditor board.Dec 16 2015, 9:41 PM
epriestley updated the task description. (Show Details)Feb 19 2016, 1:28 PM
epriestley moved this task from Lyuba to v2 on the Dashboards board.Feb 19 2016, 3:15 PM
epriestley edited projects, added Dashboards (v2); removed Dashboards.
timor added a subscriber: timor.Jul 11 2016, 2:36 PM
em added a subscriber: em.Aug 10 2016, 10:04 PM
chad set the point value for this task to 12.Aug 12 2016, 4:13 PM

Design atrocity incoming for T10747.

eadler added a project: Restricted Project.Jan 27 2017, 10:02 PM
chad added a comment.Jan 27 2017, 10:03 PM

I plan to look into this stuff after new home settles

chad moved this task from Backlog to Planned on the Dashboards (v2) board.Feb 3 2017, 7:08 PM
chad removed the point value for this task.Feb 10 2017, 4:37 AM
chad added a comment.Mar 20 2017, 10:11 PM

Only 5? I expected more.

Mine's fine here, too:

chad closed this task as Resolved.Mar 21 2017, 2:13 AM
chad claimed this task.
urzds added a subscriber: urzds.Jul 12 2017, 11:13 AM